{% extends "base.html" %}

{% block content %}

<h1 class="display-4">List Pengantaran Farmasi</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<table class="table table-striped table table-hover">
    <thead>
      <tr>
        <th scope="col">Id Pengantaran</th>
        <th scope="col">Id Kurir</th>
        <th scope="col">Id Transaksi Pembelian</th>
        <th scope="col">Waktu </th>
        <th scope="col">Status Pengantaran </th>
        <th scope="col">Biaya Kirim </th>
        <th scope="col">Total Biaya </th>
        {% if request.session.role == 'admin_apotek' %}
        <th scope="col" colspan="2" style="text-align: center;" > Edit </th>
        {% endif %}
      </tr>
    </thead>
    <tbody>
    {% for item in table %}
      <tr>
        <td>{{ item.id_pengantaran }}</td>
        <td>{{ item.id_kurir }}</td>
        <td>{{ item.id_transaksi_pembelian }}</td>
        <td>{{ item.waktu }}</td>
        <td>{{ item.status_pengantaran }}</td>
        <td>{{ item.biaya_kirim }}</td>
        <td>{{ item.total_biaya }}</td>
        {% if request.session.role == 'admin_apotek' %}
        <td><a href="{% url 'pengantaranfarmasi:updatePF' item.id_pengantaran %}" class="btn btn-outline-primary" role="button">Update</a></td>
        <td><a href="{% url 'pengantaranfarmasi:deletePF' item.id_pengantaran %}" class="btn btn-outline-primary" role="button">Delete</a></td>
        {% endif %}
      </tr>
      {% endfor %}
    </tbody>
  </table>



{% endblock content %}